{ inputs, config, pkgs, ... }:
{
  environment.systemPackages = [ inputs.microbin-fork.defaultPackage."x86_64-linux" ];
  systemd.services.microbin = {
    after = [ "network.target" ];
    wantedBy = [ "multi-user.target" ];
    environment = {
      #MICROBIN_AUTH_USERNAME = "jade";
      MICROBIN_HASH_IDS = "";
      MICROBIN_EDITABLE = "";
      MICROBIN_PRIVATE = "";
      MICROBIN_HIGHLIGHTSYNTAX = "";
      MICROBIN_PUBLIC_PATH = "https://s10e.de";
      MICROBIN_QR = "";
    };
    script = "${inputs.microbin-fork.defaultPackage."x86_64-linux"}/bin/microbin";
    #scriptArgs = "--auth-password ${builtins.readFile ../secret-data/mb-pass} --auth-username jade --editable --hash-ids --no-listing --highlightsyntax --public-path https://s10e.de --qr";
    serviceConfig = {
      Type = "simple";
      RootDirectory="/";
      WorkingDirectory = "/microbin";
    };
  };
}
